Download it now!
Bug 83540 - EDITING: Create formula, extract formula text by macro breaks formula object after delete and UNDO
Summary: EDITING: Create formula, extract formula text by macro breaks formula object ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Undo-Redo
  Show dependency treegraph
 
Reported: 2014-09-05 17:28 UTC by Jan Rheinländer
Modified: 2020-08-31 14:50 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Description on how to reproduce the bug (14.71 KB, application/vnd.oasis.opendocument.text)
2014-09-05 17:28 UTC, Jan Rheinländer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Rheinländer 2014-09-05 17:28:27 UTC
Created attachment 105817 [details]
Description on how to reproduce the bug

After creating a formula, running a macro that extracts the formula text, deleting the formula and undoing the delete, the formula object is broken

See attached document on how to reproduce the problem.        
Operating System: Ubuntu
Version: 4.1.0.4 release
Comment 1 Jan Rheinländer 2014-09-06 07:50:47 UTC
I just reproduced the bug on LO 4.3.1.2 on Windows 7.
Comment 2 zeonchameleon 2014-09-06 09:11:32 UTC
I confirm this bug.
Reproduced on LO 4.2.6.2 Windows 7.
Comment 3 Jacques Guilleron 2014-09-07 13:50:30 UTC
Hi Jan,

I tried with LO 4.1.6.2 and LO 4.3.1.2 and get the same result: OLE general error. I tried also to change the fourth line by eo = o in the macro. This time, once macro excuted, I can delete formula and undo this.

regards,

Jacques
Comment 4 Jan Rheinländer 2014-09-07 14:10:32 UTC
Yes, the problem seems to be with the getEmbeddedObject() call. But that is exactly what I need to do to extract the formula text in the macro. I want to go on with the line:

ftext = eo.Formula

Unless there is some other way of getting the text?
Comment 5 Buovjaga 2014-11-13 13:32:18 UTC
I reproduced this.

Win 7 64-bit Version: 4.4.0.0.alpha2+
Build ID: b021b5983c62e266b82d9f0c5c6d8d8900553827
TinderBox: Win-x86@39, Branch:master, Time: 2014-11-12_01:10:08

Ubuntu 14.10 64-bit Version: 4.4.0.0.alpha2+
Build ID: 5bff4b016c4b44f4123e0e6a4fd4c0c4dc0cfa2d
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2014-11-13_00:14:29
Comment 6 raal 2015-01-15 21:00:58 UTC
(In reply to Beluga from comment #5)
> I reproduced this.
> 
> Win 7 64-bit Version: 4.4.0.0.alpha2+
> Build ID: b021b5983c62e266b82d9f0c5c6d8d8900553827
> TinderBox: Win-x86@39, Branch:master, Time: 2014-11-12_01:10:08
> 
> Ubuntu 14.10 64-bit Version: 4.4.0.0.alpha2+
> Build ID: 5bff4b016c4b44f4123e0e6a4fd4c0c4dc0cfa2d
> TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time:
> 2014-11-13_00:14:29

Setting as NEW.
Comment 7 QA Administrators 2016-01-17 20:04:59 UTC Comment hidden (obsolete)
Comment 8 Jan Rheinländer 2016-01-24 15:19:06 UTC
Bug is still present on Win7 32-bit in LO 5.0.4.2
Comment 9 QA Administrators 2017-03-06 14:34:43 UTC Comment hidden (obsolete)
Comment 10 Jan Rheinländer 2017-03-31 16:38:50 UTC
Bug is still present in

Version: 5.2.6.2
Build-ID: a3100ed2409ebf1c212f5048fbe377c281438fdc
CPU-Threads: 2; BS-Version: Windows 6.1;
Comment 11 QA Administrators 2018-04-02 02:27:48 UTC Comment hidden (obsolete)
Comment 12 QA Administrators 2020-04-02 03:34:52 UTC
Dear Jan Rheinländer,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug